com.impinj.stp

## Interface StpApi.LowEncodeVolumeEventConfigOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.LowEncodeVolumeEventConfig, StpApi.LowEncodeVolumeEventConfig.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.LowEncodeVolumeEventConfigOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getEnableLowEncodeVolumeEvents()`
    `int` | `getMonzaReminderPeriod()` The period at which the the device will send a reminder report that the remaining Monza encode volume is low.
    `long` | `getMonzaThreshold()` The threshold at which the device will start sending reports that the remaining Monza encode volume is low.
    `int` | `getNonMonzaReminderPeriod()` The period at which the the device will send a reminder report that the remaining Non Monza encode volume is low.
    `long` | `getNonMonzaThreshold()` The threshold at which the device will start sending reports that the remaining Non Monza encode volume is low.
    `boolean` | `hasEnableLowEncodeVolumeEvents()`
    `boolean` | `hasMonzaReminderPeriod()` The period at which the the device will send a reminder report that the remaining Monza encode volume is low.
    `boolean` | `hasMonzaThreshold()` The threshold at which the device will start sending reports that the remaining Monza encode volume is low.
    `boolean` | `hasNonMonzaReminderPeriod()` The period at which the the device will send a reminder report that the remaining Non Monza encode volume is low.
    `boolean` | `hasNonMonzaThreshold()` The threshold at which the device will start sending reports that the remaining Non Monza encode volume is low.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasEnableLowEncodeVolumeEvents

          boolean hasEnableLowEncodeVolumeEvents()

    - #### getEnableLowEncodeVolumeEvents

          boolean getEnableLowEncodeVolumeEvents()

    - #### hasMonzaThreshold

          boolean hasMonzaThreshold()

      The threshold at which the device will start sending reports that the remaining Monza encode volume is low.

    - #### getMonzaThreshold

          long getMonzaThreshold()

      The threshold at which the device will start sending reports that the remaining Monza encode volume is low.

    - #### hasNonMonzaThreshold

          boolean hasNonMonzaThreshold()

      The threshold at which the device will start sending reports that the remaining Non Monza encode volume is low.

    - #### getNonMonzaThreshold

          long getNonMonzaThreshold()

      The threshold at which the device will start sending reports that the remaining Non Monza encode volume is low.

    - #### hasMonzaReminderPeriod

          boolean hasMonzaReminderPeriod()

      The period at which the the device will send a reminder report that the remaining Monza encode volume is low. The value is the number of attempted encodes since last report. Set to 0 to disable reminders.

    - #### getMonzaReminderPeriod

          int getMonzaReminderPeriod()

      The period at which the the device will send a reminder report that the remaining Monza encode volume is low. The value is the number of attempted encodes since last report. Set to 0 to disable reminders.

    - #### hasNonMonzaReminderPeriod

          boolean hasNonMonzaReminderPeriod()

      The period at which the the device will send a reminder report that the remaining Non Monza encode volume is low. The value is the number of attempted encodes since last report. Set to 0 to disable reminders.

    - #### getNonMonzaReminderPeriod

          int getNonMonzaReminderPeriod()

      The period at which the the device will send a reminder report that the remaining Non Monza encode volume is low. The value is the number of attempted encodes since last report. Set to 0 to disable reminders.